<?php
session_start();

include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session
    
$conexion=conecta_default();
$text1=$_POST['sw'];
$canti1=$_POST['stock1'];
$canti2=$_POST['stock2'];
$sel_centro=$_POST['centros'];
date_default_timezone_set('America/Mexico_City');
$cc3="select cantidad from stock where idprod='$canti1' and idcd='$sel_centro'";
$qcc3=mysqli_query($conexion, $cc3) or die (mysqli_error($conexion));
$Rcc3=mysqli_fetch_object($qcc3);
$cantidad1=$Rcc3->cantidad;
$cc3="select cantidad from stock where idprod='$canti2' and idcd='$sel_centro'";
$qcc3=mysqli_query($conexion, $cc3) or die (mysqli_error($conexion));
$Rcc3=mysqli_fetch_object($qcc3);
$cantidad2=$Rcc3->cantidad;
if($cantidad1==0 || $cantidad1<$text1)
    {
    echo "No se puede quitar porque no hay en tu stock";
    }
else{
    if($canti1==255)
    {
     $multi=$text1*10;
     $agrega1=$cantidad2+$multi;
     $quita1=$cantidad1-$text1;
    $uc3="update stock set cantidad=$agrega1 where idprod='$canti2' and idcd='$sel_centro'";
    $quc3=mysqli_query($conexion, $uc3) or die ("Error Update 1: ".mysqli_error($conexion));   
    $usc3="update stock set cantidad=$quita1 where idprod='$canti1' and idcd='$sel_centro'";
    $qusc3=mysqli_query($conexion, $usc3) or die ("Error Update 2: ".mysqli_error($conexion));
    echo $quita1;
    $cmy="insert into cambiostock (centro,cant_mov,prod1,quitado,prod2,agregado,fecha,hora) values "
            . "('$sel_centro','$multi','$canti1','$quita1','$canti2','$agrega1',curdate(),curtime())";
    $qcmy=mysqli_query($conexion, $cmy) or die ("Error en Consulta Monitoreo Yadira 223: ".mysqli_error($conexion));
    }
    else if($canti2==255){
        if($text1<10)
            echo "Cantidad no Disponible. Debe ser mayor a diez.";
        else{
            $enteros=$text1/10;
           $devuelta= $text1 % 10;
           $enteros2=floor($enteros);
           $agrega1=$cantidad2+$enteros2;
           $quita1=($cantidad1-$text1)+$devuelta;
           $movidos=$text1-$devuelta;
    $uc3="update stock set cantidad=$agrega1 where idprod='$canti2' and idcd='$sel_centro'";
    $quc3=mysqli_query($conexion, $uc3) or die ("Error Update 1: ".mysqli_error($conexion));   
    $usc3="update stock set cantidad=$quita1 where idprod='$canti1' and idcd='$sel_centro'";
    $qusc3=mysqli_query($conexion, $usc3) or die ("Error Update 2: ".mysqli_error($conexion));
    echo $quita1;
    
    $cmy="insert into cambiostock (centro,cant_mov,prod1,quitado,prod2,agregado,fecha,hora) values "
            . "('$sel_centro','$movidos','$canti1','$quita1','$canti2','$agrega1',curdate(),curtime())";
    $qcmy=mysqli_query($conexion, $cmy) or die ("Error en Consulta Monitoreo Yadira 1123: ".mysqli_error($conexion));
    }
        }
    else{
    $agrega1=$cantidad2+$text1;
    $quita1=$cantidad1-$text1;
    
    $uc3="update stock set cantidad=$agrega1 where idprod='$canti2' and idcd='$sel_centro'";
    $quc3=mysqli_query($conexion, $uc3) or die ("Error Update 1: ".mysqli_error($conexion));   
    $usc3="update stock set cantidad=$quita1 where idprod='$canti1' and idcd='$sel_centro'";
    $qusc3=mysqli_query($conexion, $usc3) or die ("Error Update 2: ".mysqli_error($conexion));
    echo $quita1;
    
    $cmy="insert into cambiostock (centro,cant_mov,prod1,quitado,prod2,agregado,fecha,hora) values "
            . "('$sel_centro','$text1','$canti1','$quita1','$canti2','$agrega1',curdate(),curtime())";
    $qcmy=mysqli_query($conexion, $cmy) or die ("Error en Consulta Monitoreo Yadira 1123: ".mysqli_error($conexion));
    }
}
    
?>
